package com.mx.hbasefile.hadoop.hdfs.boot;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

/**
 * @ClassName HdfsConfigProperties
 * @Author zzrdark
 * @Date 2019-08-14 17:17
 * @Description TODO
 **/
@Configuration
@ConfigurationProperties(prefix = "spring.hadoop.hdfs")
public class HdfsConfigProperties {
    private String hadoopConfigDir;
    private String hdfsUrl;
    private Long defaultBlockSize;
    private Integer bufferSize;


    public Integer getBufferSize() {
        return bufferSize;
    }

    public void setBufferSize(Integer bufferSize) {
        this.bufferSize = bufferSize;
    }

    public String getHadoopConfigDir() {
        return hadoopConfigDir;
    }

    public void setHadoopConfigDir(String hadoopConfigDir) {
        this.hadoopConfigDir = hadoopConfigDir;
    }

    public String getHdfsUrl() {
        return hdfsUrl;
    }

    public void setHdfsUrl(String hdfsUrl) {
        this.hdfsUrl = hdfsUrl;
    }

    public Long getDefaultBlockSize() {
        return defaultBlockSize;
    }

    public void setDefaultBlockSize(Long defaultBlockSize) {
        this.defaultBlockSize = defaultBlockSize;
    }
}
